Skip to main content
GET
/
v1
/
proctors
/
{proctorSid}
/
reports
/
examList
Proctor Exam Details
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/proctors/{proctorSid}/reports/examList \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "sid": "<string>",
      "examTitle": "<string>",
      "courseTitle": "<string>",
      "accountName": "<string>",
      "configuration": {},
      "primaryInstructor": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

proctorSid
string
required

Proctor Account Sid

Pattern: ^PA[a-f0-9]{32}$

Query Parameters

examWindowStart
string

Starting range of exam

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

examWindowEnd
string

Ending range of exam

Pattern: .*Z
Example:

"1970-01-01T00:00:00.000Z"

courseTitle
string

Course Title

examTitle
string

Exam title

installSid
string

Install Sid

Pattern: ^AI[a-f0-9]{32}$
offset
integer

Result offset

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Key to sort by

Available options:
accountName,
courseTitle,
examTitle,
createdDate
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC

Response

200 - application/json

Successful

total
number | null
first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]